tigase.jaxmpp.core.client.xmpp.modules.disco

## Class DiscoveryModule.DefaultNodeDetailsCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.disco.DiscoveryModule.DefaultNodeDetailsCallback

- All Implemented Interfaces:
    NodeDetailsCallback
  Enclosing class:
    DiscoveryModule

      public static class DiscoveryModule.DefaultNodeDetailsCallback
      extends Object
      implements NodeDetailsCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNodeDetailsCallback(DiscoveryModule discoveryModule)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getFeatures(SessionObject sessionObject, IQ requestStanza, String node)`
    `DiscoveryModule.Identity` | `getIdentity(SessionObject sessionObject, IQ requestStanza, String node)`
    `DiscoveryModule.Item[]` | `getItems(SessionObject sessionObject, IQ requestStanza, String node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNodeDetailsCallback

          public DefaultNodeDetailsCallback(DiscoveryModule discoveryModule)

  - ### Method Detail

    - #### getFeatures

          public String[] getFeatures(SessionObject sessionObject,
                                      IQ requestStanza,
                                      String node)

      Specified by:
        `getFeatures` in interface `NodeDetailsCallback`

    - #### getIdentity

          public DiscoveryModule.Identity getIdentity(SessionObject sessionObject,
                                                      IQ requestStanza,
                                                      String node)

      Specified by:
        `getIdentity` in interface `NodeDetailsCallback`

    - #### getItems

          public DiscoveryModule.Item[] getItems(SessionObject sessionObject,
                                                 IQ requestStanza,
                                                 String node)

      Specified by:
        `getItems` in interface `NodeDetailsCallback`

Copyright © 2006–2016 Tigase. All rights reserved.